Get Vvol Replication Group

Get Vvol Replication Group

The source vSphere Virtual Volumes replication groups for this protection group. Both protection and recovery site report the same replication groups.

Request
URI
GET
https://{api_host}/pairings/{pairing_id}/protection-management/groups/{group_id}/replication-groups/{replication_group_id}
COPY
Path Parameters
string
pairing_id
Required

The ID of a pairing between this Site Recovery Manager server and remote one

string
group_id
Required

The ID of a protection group defined within current pairing

string
replication_group_id
Required

The ID of the vSphere Virtual Volumes (vVol) replication group.


Authentication
This operation uses the following authentication methods.
Responses
200

Information of the vSphere Virtual Volumes replication group related to a vSphere Virtual Volumes protection group.

Returns VvolReplicationGroupInfoDrResponseEntity of type(s) application/json
{
    "id": "string",
    "warnings": [
        "string"
    ],
    "errors": [
        "string"
    ],
    "name": "string",
    "vm_infos": [
        {
            "id": "string",
            "name": "string",
            "template": false,
            "inside_vapp": false,
            "warnings": [
                "string"
            ],
            "errors": [
                "string"
            ],
            "vvol_replication_groups": [
                {
                    "fault_domain_id": "string",
                    "device_group_id": "string"
                }
            ]
        }
    ],
    "replication_group_info": {
        "fault_domain_id": "string",
        "device_group_id": "string"
    },
    "_meta": {
        "errors": [
            {
                "code": "string",
                "message": "string",
                "field": "string"
            }
        ]
    }
}

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


404

Not Found - server cannot find the requested in URL resource

Operation doesn't return any data structure

500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/protection-management/groups/{group_id}/replication-groups/{replication_group_id}